# H225_LocationRejectReason Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_notRegistered, e_invalidPermission, e_requestDenied, e_undefinedReason, e_securityDenial, e_aliasesInconsistent, e_routeCalltoSCN, e_resourceUnavailable, e_genericDataReason, e_neededFeatureNotSupported, e_hopCountExceeded, e_incompleteAddress, e_securityError, e_securityDHmismatch, e_noRouteToDestination, e_unallocatedNumber }

## Public Member Functions

| H225_LocationRejectReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_ArrayOf_PartyNumber & ()
| operator const H225_ArrayOf_PartyNumber & () const
| operator H225_SecurityErrors2 & ()
| operator const H225_SecurityErrors2 & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_LocationRejectReason::Choices

Enumerator:

  e_notRegistered |
  e_invalidPermission |
  e_requestDenied |
  e_undefinedReason |
  e_securityDenial |
  e_aliasesInconsistent |
  e_routeCalltoSCN |
  e_resourceUnavailable |
  e_genericDataReason |
  e_neededFeatureNotSupported |
  e_hopCountExceeded |
  e_incompleteAddress |
  e_securityError |
  e_securityDHmismatch |
  e_noRouteToDestination |
  e_unallocatedNumber |

## Constructor & Destructor Documentation

H225_LocationRejectReason::H225_LocationRejectReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_LocationRejectReason::operator H225_ArrayOf_PartyNumber & | ( |  | ) |

H225_LocationRejectReason::operator const H225_ArrayOf_PartyNumber & | ( |  | ) | const

H225_LocationRejectReason::operator H225_SecurityErrors2 & | ( |  | ) |

H225_LocationRejectReason::operator const H225_SecurityErrors2 & | ( |  | ) | const

PBoolean H225_LocationRejectReason::CreateObject | ( |  | ) |

PObject* H225_LocationRejectReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h